GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
mem_range Struct Reference

`#include "memrange.h"`

## Public Member Functions
| mem_range ()=default
| mem_range (CORE_ADDR start_, int length_)
bool | operator< (const mem_range &other) const
bool | operator== (const mem_range &other) const

## Public Attributes
CORE_ADDR | start
int | length

## Detailed Description

Definition at line 27 of file memrange.h.

## Constructor & Destructor Documentation

## ◆ mem_range() [1/2]

mem_range::mem_range | ( |  | ) |
| default

## ◆ mem_range() [2/2]

mem_range::mem_range | ( | CORE_ADDR | start_,
|  | int | length_
| ) |  |
| inline

Definition at line 31 of file memrange.h.

## Member Function Documentation

## ◆ operator<()

bool mem_range::operator< | ( | const mem_range & | other | ) | const
| inline

Definition at line 35 of file memrange.h.

References start.

## ◆ operator==()

bool mem_range::operator== | ( | const mem_range & | other | ) | const
| inline

Definition at line 40 of file memrange.h.

References length, and start.

## Member Data Documentation

## ◆ length

int mem_range::length

Definition at line 50 of file memrange.h.

Referenced by add_vsyscall_page(), address_in_mem_range(), operator==(), svr4_current_sos(), and traceframe_available_memory().

## ◆ start

CORE_ADDR mem_range::start

Definition at line 47 of file memrange.h.

Referenced by add_vsyscall_page(), address_in_mem_range(), operator<(), operator==(), and traceframe_available_memory().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/memrange.h